Package com.smartgwt.client.tools

# Class OverlaySettings

java.lang.Object
com.smartgwt.client.core.JsObject
com.smartgwt.client.core.DataClass
com.smartgwt.client.tools.OverlaySettings

All Implemented Interfaces:
  `HasHandlers`

public class OverlaySettings extends DataClass
Optional settings for `Reify.showOverlay()`.

- ## Field Summary

  ### Fields inherited from class com.smartgwt.client.core.DataClass

  `factoryCreated, factoryProperties`

  ### Fields inherited from class com.smartgwt.client.core.JsObject

  `jsObj`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `OverlaySettings()`
  `OverlaySettings(JavaScriptObject jsObj)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String[]`
  `getDismissKeys()`
  Key names that dismiss the overlay when pressed.
  `Boolean`
  `getDismissOnOutsideClick()`
  If true, clicking a mask tile (anywhere outside loaded screens and their action icons) dismisses the overlay.
  `static OverlaySettings`
  `getOrCreateRef(JavaScriptObject jsObj)`
  `OverlaySettings`
  `setDismissKeys(String... dismissKeys)`
  Key names that dismiss the overlay when pressed.
  `OverlaySettings`
  `setDismissOnOutsideClick(Boolean dismissOnOutsideClick)`
  If true, clicking a mask tile (anywhere outside loaded screens and their action icons) dismisses the overlay.

  ### Methods inherited from class com.smartgwt.client.core.DataClass

  `applyFactoryProperties, doAddHandler, fireEvent, getAttribute, getAttributeAsBoolean, getAttributeAsBoolean, getAttributeAsDate, getAttributeAsDouble, getAttributeAsDoubleArray, getAttributeAsElement, getAttributeAsFloat, getAttributeAsInt, getAttributeAsIntArray, getAttributeAsJavaScriptObject, getAttributeAsLong, getAttributeAsMap, getAttributeAsObject, getAttributeAsRecord, getAttributeAsString, getAttributeAsStringArray, getAttributes, getHandlerCount, isFactoryCreated, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttributeAsJavaObject, setFactoryCreated`

  ### Methods inherited from class com.smartgwt.client.core.JsObject

  `equals, getJsObj, hashCode, isCreated, setJavaScriptObject, setJsObj`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### OverlaySettings

    public OverlaySettings()

  - ### OverlaySettings

    public OverlaySettings(JavaScriptObject jsObj)

- ## Method Details

  - ### getOrCreateRef

    public static OverlaySettings getOrCreateRef(JavaScriptObject jsObj)

  - ### setDismissKeys

    public OverlaySettings setDismissKeys(String... dismissKeys)
    Key names that dismiss the overlay when pressed.
    Parameters:
      `dismissKeys` - New dismissKeys value. Default value is ["Escape"]
    Returns:
      `OverlaySettings` instance, for chaining setter calls
    See Also:
      - `KeyName`

  - ### getDismissKeys

    public String[] getDismissKeys()
    Key names that dismiss the overlay when pressed.
    Returns:
      Current dismissKeys value. Default value is ["Escape"]
    See Also:
      - `KeyName`

  - ### setDismissOnOutsideClick

    public OverlaySettings setDismissOnOutsideClick(Boolean dismissOnOutsideClick)
    If true, clicking a mask tile (anywhere outside loaded screens and their action icons) dismisses the overlay.
    Parameters:
      `dismissOnOutsideClick` - New dismissOnOutsideClick value. Default value is true
    Returns:
      `OverlaySettings` instance, for chaining setter calls

  - ### getDismissOnOutsideClick

    public Boolean getDismissOnOutsideClick()
    If true, clicking a mask tile (anywhere outside loaded screens and their action icons) dismisses the overlay.
    Returns:
      Current dismissOnOutsideClick value. Default value is true